/* `xxl` applies to x-large devices (large desktops, less than 1400px) */
@media (max-width: 1399.98px) {
  .banner-section {
    background-size: contain;
    background-position: center right;
  }
}

/* `xl` applies to large devices (desktops, less than 1200px) */
@media (max-width: 1199.98px) {
  .logo {
    width: 250px;
    height: 150px;
    margin-left: -25px;
    margin-top: -40px;
  }
}

/* `lg` applies to medium devices (tablets, less than 992px) */
@media (max-width: 991.98px) {
  .logo {
    width: 200px;
    height: 120px;
    margin-left: -20px;
    margin-top: -40px;
  }

  .navbar-collapse {
    background: #fff;
    padding: 15px 15px 30px;
    position: absolute;
    width: 100%;
    left: 0;
    top: 100px;
  }

  .menu {
    position: fixed;
    top: 0;
    left: -100vw;
    width: 100%;
    height: 100vh;
    background: #a790d2;
    padding: 20px;
    text-align: center;
    overflow-y: scroll;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    transition: 0.3s ease;
  }

  .menu.show {
    left: 0;
  }

  .menu-close-btn {
    position: absolute;
    top: 20px;
    right: 20px;
    width: 25px;
    height: 25px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 25px;
    background: transparent;
    border: none;
    color: #171745;
    z-index: 10;
  }

  .dropdown-menu {
    display: block;
    background: transparent;
    text-align: center;
    border: none;
  }

  .dropdown-toggle::after {
    margin-left: auto !important;
  }

  .nav-item {
    border-bottom: 1px solid #171745;
  }

  .nav-item:last-child {
    border-bottom: none;
  }

  .nav-link {
    color: #171745;
    padding: 20px;
    font-size: 25px;
    font-weight: 700;
  }

  .dropdown-item {
    font-size: 18px;
    font-weight: 700;
  }

  .dropdown-item:hover {
    color: #ffcd00 !important;
    background: transparent;
  }

  .nav-cta {
    font-size: 18px;
    padding: 15px 30px;
  }

  .banner-section {
    background-size: cover;
    background-position: center right;
  }

  .banner-content-wrapper {
    padding-top: 200px;
  }

  .pillar {
    width: 80%;
  }

  .donate-btn-wrapper {
    gap: 8px;
  }

  .donate-btn {
    padding: 12px 25px;
  }

  .facebook-badge-wrapper {
    position: absolute;
    top: -25px;
    left: 5vw;
    z-index: 2;
  }

  .facebook-badge {
    width: 50px;
    height: 50px;
    font-size: 25px;
  }

  .footer-btn {
    margin-top: 70px;
  }

  .footer-text {
    text-align: center;
  }
}

/* `md` applies to small devices (landscape phones, less than 768px) */
@media (max-width: 767.98px) {
  .section {
    padding: 50px 0;
  }

  .section-title {
    font-size: 35px;
    font-weight: 700;
    line-height: 35px;
    letter-spacing: -2.4px;
  }

  .button {
    font-size: 16px;
    padding: 12px 24px;
  }

  .navbar {
    background: #3e2571;
    padding-top: 20vw;
    padding-bottom: 11vw;
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative !important;
  }

  .logo {
    width: 350px;
    height: 160px;
    margin-left: 0;
    margin-top: 0;
  }

  .navbar-toggler {
    position: absolute;
    top: 20px;
    right: 0;
  }

  .navbar-collapse {
    top: 80px;
  }

  .popup {
    padding: 40px;
  }

  .popup-form input {
    width: 100%;
  }

  .popup-form input[type="submit"] {
    width: 100%;
  }

  .banner-section {
    background: #3e2571;
    padding-bottom: 40px;
  }

  .banner-section::after {
    display: none;
  }

  .banner-content-wrapper {
    padding-top: 40px;
  }

  .banner-heading {
    font-size: 35px;
    line-height: 45px;
    text-align: center;
  }

  .oak-img {
    top: 250px;
    right: -120px;
    transform: translateX(120px);
    width: 50%;
  }

  .pillar {
    width: 100%;
  }

  .endorsement-section .section-title {
    margin-bottom: 33px;
  }

  .client-logo-wrapper,
  .endorsement-link {
    margin-top: 33px;
  }

  .client-logo-1 {
    animation-delay: calc(80s / 8 * (8 - 1) * -1);
  }

  .client-logo-2 {
    animation-delay: calc(80s / 8 * (8 - 2) * -1);
  }

  .client-logo-3 {
    animation-delay: calc(80s / 8 * (8 - 3) * -1);
  }

  .client-logo-4 {
    animation-delay: calc(80s / 8 * (8 - 4) * -1);
  }

  .endorsement-link {
    font-size: 22px;
  }

  .donate-btn-wrapper {
    grid-template-columns: 1fr 1fr;
  }

  .facebook-badge-wrapper {
    left: 18vw;
  }

  .slider-item {
    width: 70vw;
  }

  .footer-logo {
    height: 200px;
    width: 200px;
    margin-top: 0;
    margin-left: 0;
  }

  /* .privacy-link {
    margin: 20px auto 17px;
  } */
}

/* `sm` applies to x-small devices (portrait phones, less than 576px) */
@media (max-width: 575.98px) {
  .popup {
    padding: 50px 25px 30px;
  }

  .banner-form-input,
  .banner-form input[type="submit"] {
    width: 100%;
  }

  .slider-item {
    width: 82vw;
  }

  .client-logo-1 {
    animation-delay: calc(60s / 8 * (8 - 1) * -1);
  }

  .client-logo-2 {
    animation-delay: calc(60s / 8 * (8 - 2) * -1);
  }

  .client-logo-3 {
    animation-delay: calc(60s / 8 * (8 - 3) * -1);
  }

  .client-logo-4 {
    animation-delay: calc(60s / 8 * (8 - 4) * -1);
  }
}
